---
title: HTMLFormElement.action
slug: Web/API/HTMLFormElement/action
tags:
  - API
  - Forms
  - HTML DOM
  - HTMLFormElement
  - NeedsSpecTable
  - NeedsUpdate
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLFormElement.action</code></strong> property represents the action of the {{HTMLElement("form")}} element.</p>

<p>The action of a form is the program that is executed on the server when the form is submitted. This property can be retrieved or set.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>string</em> = <em>form</em>.action;
<em>form</em>.action = <em>string</em>;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">form.action = '/cgi-bin/publish';</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-fs-action', 'HTMLFormElement: action')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLFormElement.action")}}</p>
